Subject: [stir] Crypto alg and header length

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 16 Oct 2015 20:40:49 +0000

Quick editorial note: The current draft calls for SHA256, but actually spells out sha1WithRSAEncryption, which I don't think is the same. The correct reference should be RFC 4055, I believe, not 3770. (I was trying to get an estimate of the overall header length and stumbled across this.) My rough guess, by the way, is the signature itself is about 44 characters (256 bits, with base64 overhead), plus whatever labeling and parameters are applied, i.e., probably just south of 100 total.

In their restrictive mode, Dialogic allows 300 bytes per header:

https://www.dialogic.com/webhelp/BorderNet2020/2.1.0/WebHelp/sip_message_header_restrict.htm

The NNI and IMS profiles (http://www.ttc.or.jp/jp/document_list/pdf/e/TS/TS-1020(E)v3.pdf) seem to be silent on the issue.

>From what I can tell,

Foo:

Foo:

count as two headers.

Henning

---

From: Eric Burger <[email-masked]>
Date: Tue, 27 Oct 2015 11:18:33 -0400

Do note that the limit is for a single particular Dialogic product family and only if you turn message restriction on. I believe (but you should verify with a real Dialogic/Cantata/Excel person) that few if anyone runs with these restrictions in place.

> On Oct 16, 2015, at 4:40 PM, Henning Schulzrinne <[email-masked]> wrote:
> 
> https://www.dialogic.com/webhelp/BorderNet2020/2.1.0/WebHelp/sip_message_header_restrict.htm <https://www.dialogic.com/webhelp/BorderNet2020/2.1.0/WebHelp/sip_message_header_restrict.htm>
> 
> The NNI and IMS profiles (http://www.ttc.or.jp/jp/document_list/pdf/e/TS/TS-1020(E)v3.pdf) <http://www.ttc.or.jp/jp/document_list/pdf/e/TS/TS-1020(E)v3.pdf)> seem to be silent on the issue.
> 
> From what I can tell,
> 
> Foo:
> Foo:
> 
> count as two headers.
> 
> Henning
> _______________________________________________
> stir mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/stir <https://www.ietf.org/mailman/listinfo/stir>

---

From: Russ Housley <[email-masked]>
Date: Tue, 27 Oct 2015 11:40:09 -0400

You are correct, sha256WithRSAEncryption is defined in Section 5 of RFC 4055.

Russ

> [email-masked]
> https://www.ietf.org/mailman/listinfo/stir

_______________________________________________
stir mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/stir

---

From: "Peterson, Jon" <[email-masked]>
Date: Tue, 27 Oct 2015 16:22:18 +0000

Although I may have missed some editorial inconsistency here, the current current rfc4474bis-06 calls for using the RS256 alg value as defined in JWT rather than defining anything itself. The expansion of that value is in RFC7519.

Jon Peterson
Neustar, Inc.

Sent from my iPad

On Oct 27, 2015, at 8:41 AM, Russ Housley <[email-masked]<mailto:[email-masked]>> wrote:

Russ

On Oct 16, 2015, at 4:40 PM, Henning Schulzrinne <[email-masked]<mailto:[email-masked]>> wrote:

Foo:
Foo:

count as two headers.

Henning
_______________________________________________
stir mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/stir

_______________________________________________
stir mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/stir
_______________________________________________
stir mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/stir

---

From: Chris Wendt <[email-masked]>
Date: Tue, 27 Oct 2015 14:48:05 -0400

RSASSA-PKCS1-v1_5 with the SHA-256 hash algorithm to be specific

> On Oct 27, 2015, at 12:22 PM, Peterson, Jon <[email-masked]> wrote:
> 
> On Oct 27, 2015, at 8:41 AM, Russ Housley <[email-masked] <mailto:[email-masked]>> wrote:
> 
>>> On Oct 16, 2015, at 4:40 PM, Henning Schulzrinne <[email-masked] <mailto:[email-masked]>> wrote:
>>>